Create person
curl --request POST \
--url https://api.withallo.com/v2/api/crm/people \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John",
"last_name": "Doe",
"job_title": "CEO",
"website": "https://example.com",
"address": "123 Main St",
"numbers": [
"+33612345678"
],
"emails": [
"[email protected]"
],
"company_id": "com-xyz789"
}
'import requests
url = "https://api.withallo.com/v2/api/crm/people"
payload = {
"name": "John",
"last_name": "Doe",
"job_title": "CEO",
"website": "https://example.com",
"address": "123 Main St",
"numbers": ["+33612345678"],
"emails": ["[email protected]"],
"company_id": "com-xyz789"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'John',
last_name: 'Doe',
job_title: 'CEO',
website: 'https://example.com',
address: '123 Main St',
numbers: ['+33612345678'],
emails: ['[email protected]'],
company_id: 'com-xyz789'
})
};
fetch('https://api.withallo.com/v2/api/crm/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "per-abc123",
"name": "John",
"last_name": "Doe",
"job_title": "CEO",
"website": "https://example.com",
"address": "123 Main St",
"numbers": [
"+33612345678"
],
"emails": [
"[email protected]"
],
"company": {
"id": "com-xyz789",
"name": "Acme Corp"
},
"interactions": 5,
"last_activity_at": "2026-04-28T10:30:00",
"created_at": "2026-04-01T09:00:00",
"updated_at": "2026-04-28T10:30:00"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}Personnes
Creer une personne
Creates a new person in your CRM.
POST
/
v2
/
api
/
crm
/
people
Create person
Scope requis :
CRM_WRITEChamps du body
| Champ | Type | Requis | Defaut | Description |
|---|---|---|---|---|
name | string | non | Prenom | |
last_name | string | non | Nom de famille | |
job_title | string | non | Poste | |
website | string | non | URL du site web | |
address | string | non | Adresse | |
numbers | array | non | Numeros de telephone au format E.164 | |
emails | array | non | Adresses email | |
company_id | string | non | ID de l’entreprise associee | |
allow_duplicate_number | boolean | non | false | Autorise la creation meme si un ou plusieurs numeros sont deja attribues a une autre personne |
name ou last_name est requis.
Associations
Passez uncompany_id pour lier la personne a une entreprise existante. L’entreprise doit exister, sinon la requete retourne une erreur.
Numeros de telephone en double
Par defaut, creer une personne avec des numeros deja attribues a une autre personne de votre equipe retourne une erreur 409 Conflict. La reponse inclut les IDs des personnes existantes pour que vous puissiez les mettre a jour. Pour creer la personne malgre tout, passezallow_duplicate_number a true.
{
"name": "John",
"numbers": ["+33612345678"],
"allow_duplicate_number": true
}
phone_number.Autorisations
Corps
application/json
Request body for creating a person
Phone numbers in E.164 format. At least one number is required.
Minimum array length:
1Exemple:
["+33612345678"]
First name
Exemple:
"John"
Last name
Exemple:
"Doe"
Job title
Exemple:
"CEO"
Website URL
Exemple:
"https://example.com"
Postal address
Exemple:
"123 Main St"
ID of the company to associate with
Exemple:
"com-xyz789"
When true, allows creating a person even if the phone numbers are already assigned to another person. Defaults to false.
Réponse
Person created
A person in the CRM
Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?
⌘I